datacache <- new.env(hash=TRUE, parent=emptyenv())

hu6800hsrefseq <- function() showQCData("hu6800hsrefseq", datacache)
hu6800hsrefseq_dbconn <- function() dbconn(datacache)
hu6800hsrefseq_dbfile <- function() dbfile(datacache)
hu6800hsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hu6800hsrefseq_dbInfo <- function() dbInfo(datacache)

hu6800hsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hu6800hsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hu6800hsrefseq", "chip hu6800hsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hu6800hsrefseq_dbconn())
}

